Clusters with the click

Build: #319 failed Changes by Chris Gianelloni

Build result summary

Details

Completed
Duration
5 minutes
Labels
None
Agent
bamboo-agent11
Revision
65e8a998aaed9a9e64f5383b957f81cf2618cef0 65e8a998aaed9a9e64f5383b957f81cf2618cef0
Total tests
637
Failing since
#318 (Changes by Derek Wood)
Fixed in
#320 (Changes by Derek Wood and Sreevatsan Raman)

No failed tests found, a possible compilation error occurred.

  • 0 New failures
  • 0 Existing failures
  • 0 Fixed

Responsible

Code commits

Author Commit Message Commit date
Chris Gianelloni Chris Gianelloni 65e8a998aaed9a9e64f5383b957f81cf2618cef0 65e8a998aaed9a9e64f5383b957f81cf2618cef0 Merge pull request #978 from caskdata/feature/cleanup-standalone-output
Cleanup standalone output... put date into output
Chris Gianelloni Chris Gianelloni 72c6bb0eeaa6bbd6d9988012e2b6b1f662cb9e61 m 72c6bb0eeaa6bbd6d9988012e2b6b1f662cb9e61 Cleanup standalone output... put date into output

Error summary for Default Job

The job generated some errors, drill down into the full build log for more details.

npm http GET https://registry.npmjs.org/forever-agent
npm http GET https://registry.npmjs.org/http-signature
npm http GET https://registry.npmjs.org/oauth-sign
npm http GET https://registry.npmjs.org/hawk/1.1.1
npm http GET https://registry.npmjs.org/qs
npm http GET https://registry.npmjs.org/json-stringify-safe
npm http GET https://registry.npmjs.org/aws-sign2
npm http GET https://registry.npmjs.org/tunnel-agent
npm http GET https://registry.npmjs.org/tough-cookie
npm http GET https://registry.npmjs.org/form-data
npm http 304 https://registry.npmjs.org/mime-types
npm http GET https://registry.npmjs.org/stringstream
npm http 200 https://registry.npmjs.org/forever-agent
npm http 200 https://registry.npmjs.org/node-uuid
npm http 304 https://registry.npmjs.org/qs
npm http 200 https://registry.npmjs.org/http-signature
npm http 200 https://registry.npmjs.org/oauth-sign
npm WARN deprecated node-uuid@1.4.8: Use uuid module instead
npm http 200 https://registry.npmjs.org/json-stringify-safe
npm http 200 https://registry.npmjs.org/aws-sign2
npm http 200 https://registry.npmjs.org/tunnel-agent
npm http 200 https://registry.npmjs.org/tough-cookie
npm http GET https://registry.npmjs.org/node-uuid/-/node-uuid-1.4.8.tgz
npm http 200 https://registry.npmjs.org/stringstream
npm http 200 https://registry.npmjs.org/form-data
npm http 200 https://registry.npmjs.org/hawk/1.1.1
npm http 200 https://registry.npmjs.org/node-uuid/-/node-uuid-1.4.8.tgz
npm http GET https://registry.npmjs.org/hawk/-/hawk-1.1.1.tgz
npm http GET https://registry.npmjs.org/commander
npm http GET https://registry.npmjs.org/amdefine
npm http 200 https://registry.npmjs.org/hawk/-/hawk-1.1.1.tgz
npm http 304 https://registry.npmjs.org/commander
npm http 304 https://registry.npmjs.org/amdefine
npm http GET https://registry.npmjs.org/async
npm http GET https://registry.npmjs.org/combined-stream
npm http 304 https://registry.npmjs.org/async
npm http GET https://registry.npmjs.org/assert-plus
npm http 200 https://registry.npmjs.org/combined-stream
npm http GET https://registry.npmjs.org/ctype/0.5.3
npm http 200 https://registry.npmjs.org/assert-plus
npm http GET https://registry.npmjs.org/punycode
npm http 304 https://registry.npmjs.org/ctype/0.5.3
npm http GET https://registry.npmjs.org/asn1/0.1.11
npm http 200 https://registry.npmjs.org/punycode
npm http GET https://registry.npmjs.org/delayed-stream/0.0.5
npm http GET https://registry.npmjs.org/cryptiles
npm http GET https://registry.npmjs.org/boom
npm http GET https://registry.npmjs.org/sntp
npm http GET https://registry.npmjs.org/hoek
npm http 200 https://registry.npmjs.org/cryptiles
npm http 200 https://registry.npmjs.org/sntp
npm http 304 https://registry.npmjs.org/asn1/0.1.11
npm http 200 https://registry.npmjs.org/boom
npm http 200 https://registry.npmjs.org/hoek
npm http 200 https://registry.npmjs.org/delayed-stream/0.0.5
npm http GET https://registry.npmjs.org/delayed-stream/-/delayed-stream-0.0.5.tgz
npm http 200 https://registry.npmjs.org/delayed-stream/-/delayed-stream-0.0.5.tgz
npm http GET https://registry.npmjs.org/tinycolor
npm http GET https://registry.npmjs.org/nan
npm http GET https://registry.npmjs.org/options
npm http 200 https://registry.npmjs.org/tinycolor
npm http 200 https://registry.npmjs.org/nan
npm http 200 https://registry.npmjs.org/options
npm http GET https://registry.npmjs.org/zeparser/0.0.5
npm http 304 https://registry.npmjs.org/zeparser/0.0.5
bower cask-angular-sortable#*                invalid-meta for:/tmp/bamboo/bower/401b4632ca53d3c1c1213964ef2cd254-18406-G1ISRZ/bower.json
bower cask-angular-sortable#*                invalid-meta The "main" field has to contain only 1 file per filetype; found multiple .js files: ["module.js","sortable.js"]
bower cask-angular-json-edit#*                      retry Download of https://github.com/caskdata/ng-capsules/blob/develop/zip/cask-angular-json-edit.zip?raw=true failed with ECONNRESET, retrying in 1.6s
bower cask-angular-focus#*                          retry Download of https://github.com/caskdata/ng-capsules/blob/develop/zip/cask-angular-focus.zip?raw=true failed with ECONNRESET, retrying in 1.2s
bower cask-angular-confirmable#*                    retry Download of https://github.com/caskdata/ng-capsules/blob/develop/zip/cask-angular-confirmable.zip?raw=true failed with ECONNRESET, retrying in 1.6s
bower angular-mocks#1.3.5                           retry Download of https://github.com/angular/bower-angular-mocks/archive/v1.3.5.tar.gz failed with ECONNRESET, retrying in 1.2s
bower angular-loading-bar#0.6.0                     retry Download of https://github.com/chieffancypants/angular-loading-bar/archive/0.6.0.tar.gz failed with ECONNRESET, retrying in 1.4s
bower cask-angular-capitalize#*              invalid-meta for:/tmp/bamboo/bower/094cf2c89d7b573128ab39db19a3a38e-18406-R1Ia7A/bower.json
bower cask-angular-capitalize#*              invalid-meta The "main" field has to contain only 1 file per filetype; found multiple .js files: ["module.js","capitalize.js"]
bower cask-angular-password#*                invalid-meta for:/tmp/bamboo/bower/d3cc106a2233d1bc8673cc52280670b4-18406-3JuceP/bower.json
bower cask-angular-password#*                invalid-meta The "main" field has to contain only 1 file per filetype; found multiple .js files: ["module.js","password.js","tpl.html.js"]
bower cask-angular-progress#*                invalid-meta for:/tmp/bamboo/bower/a0d25fd58da7ad9ad48c6f055d38dea5-18406-AZ5kCP/bower.json
bower cask-angular-progress#*                invalid-meta The "main" field has to contain only 1 file per filetype; found multiple .js files: ["module.js","progress.js","tpl.html.js"]
bower angular-resource#1.3.5                        retry Download of https://github.com/angular/bower-angular-resource/archive/v1.3.5.tar.gz failed with ECONNRESET, retrying in 1.2s
bower cask-angular-dropdown-text-combo#*     invalid-meta for:/tmp/bamboo/bower/b35e31e90069b0be67f990dccf5abb44-18406-k3lV0s/bower.json
bower cask-angular-dropdown-text-combo#*     invalid-meta The "main" field has to contain only 1 file per filetype; found multiple .js files: ["module.js","dropdown-text-combo.js","tpl.html.js"]
bower cask-angular-theme#*                   invalid-meta for:/tmp/bamboo/bower/af385232ba0c2f1dcf6e5b8aef14bf83-18406-869MPI/bower.json
bower cask-angular-theme#*                   invalid-meta The "main" field has to contain only 1 file per filetype; found multiple .js files: ["module.js","theme.js"]
bower angular-animate#1.3.5                         retry Download of https://github.com/angular/bower-angular-animate/archive/v1.3.5.tar.gz failed with ECONNRESET, retrying in 1.7s
bower cask-angular-focus#*                   invalid-meta for:/tmp/bamboo/bower/2a1f16b9f8f64ae955b9635c20b7be5e-18406-7RE9aJ/bower.json
bower cask-angular-focus#*                   invalid-meta The "main" field has to contain only 1 file per filetype; found multiple .js files: ["module.js","focus.js","focus-service.js"]
bower angular-strap#2.1.4                    invalid-meta for:/tmp/bamboo/bower/444bc31818530b5a95bb202877a0ea13-18406-F7xjph/bower.json
bower angular-strap#2.1.4                    invalid-meta The "main" field has to contain only 1 file per filetype; found multiple .js files: ["dist/angular-strap.js","dist/angular-strap.tpl.js"]
bower cask-angular-json-edit#*               invalid-meta for:/tmp/bamboo/bower/150f3ee7f56d5c3d6df69583fdc30abd-18406-HYrPxe/bower.json
bower cask-angular-json-edit#*               invalid-meta The "main" field has to contain only 1 file per filetype; found multiple .js files: ["module.js","jsonedit.js"]
bower cask-angular-confirmable#*             invalid-meta for:/tmp/bamboo/bower/6bed731d36939a74cf3f92e06fdc3b47-18406-rE8FDy/bower.json
bower cask-angular-confirmable#*             invalid-meta The "main" field has to contain only 1 file per filetype; found multiple .js files: ["module.js","confirmable.js","tpl.html.js"]
bower bootstrap#3.3.1                        invalid-meta for:/tmp/bamboo/bower/ca4c50b905dc21ea17a10549a6f5944f-18406-Cz653Y/bower.json
bower bootstrap#3.3.1                        invalid-meta The "main" field cannot contain font, image, audio, or video files
bower bootstrap#3.3.1                        invalid-meta The "main" field cannot contain font, image, audio, or video files
bower bootstrap#3.3.1                        invalid-meta The "main" field cannot contain font, image, audio, or video files
bower bootstrap#3.3.1                        invalid-meta The "main" field cannot contain font, image, audio, or video files
bower font-awesome#4.2.0                     invalid-meta for:/tmp/bamboo/bower/32b121f1e564c015b458c30a6337ac1b-18406-uqyQk8/bower.json
bower font-awesome#4.2.0                     invalid-meta The "main" field cannot contain globs (example: "*.js")
bower angular-motion#^0.3.3                      mismatch Version declared in the json (0.3.2) is different than the resolved one (0.3.4)
rubocop -D
Warning: unrecognized cop Metrics/BlockLength found in /var/bamboo/xml-data/build-dir/COOP-DBT-JOB1/coopr-provisioner/.rubocop.yml
/opt/rbenv/versions/1.9.3-p547/lib/ruby/1.9.1/rubygems/dependency.rb:247:in `to_specs': Could not find json (~> 1.7.7) amongst [CFPropertyList-2.3.5, CFPropertyList-2.3.3, activesupport-4.2.8, addressable-2.4.0, arr-pm-0.0.10, ast-2.3.0, autoparse-0.3.3, backports-3.6.6, bigdecimal-1.1.0, builder-3.2.3, builder-3.2.2, bundler-1.10.6, cabin-0.7.1, childprocess-0.5.6, clamp-0.6.5, daemons-1.2.4, deep_merge-1.1.1, deep_merge-1.0.1, diff-lcs-1.3, diff-lcs-1.2.5, domain_name-0.5.24, eventmachine-1.2.3, eventmachine-1.2.0.1, excon-0.55.0, excon-0.53.0, extlib-0.9.16, faraday-0.12.0.1, faraday-0.9.2, ffi-1.9.10, fission-0.5.0, fog-1.36.0, fog-aliyun-0.1.0, fog-atmos-0.1.0, fog-aws-0.12.0, fog-brightbox-0.11.0, fog-core-1.43.0, fog-dynect-0.0.3, fog-ecloud-0.3.0, fog-google-0.1.0, fog-json-1.0.2, fog-local-0.3.0, fog-powerdns-0.1.1, fog-profitbricks-2.0.1, fog-radosgw-0.0.5, fog-riakcs-0.1.0, fog-sakuracloud-1.7.5, fog-serverlove-0.1.2, fog-softlayer-1.1.4, fog-storm_on_demand-0.1.1, fog-terremark-0.1.0, fog-vmfusion-0.1.0, fog-voxel-0.1.0, fog-xenserver-0.2.3, fog-xml-0.1.2, formatador-0.2.5, fpm-1.4.0, google-api-client-0.9.4, googleauth-0.5.1, http-cookie-1.0.2, httpclient-2.8.2.4, hurley-0.2, i18n-0.8.1, inflecto-0.0.2, io-console-0.3, ipaddress-0.8.3, json-1.8.3, json-1.5.5, jwt-1.5.6, little-plugger-1.1.4, logger-1.2.8, logging-2.1.0, memoist-0.15.0, mime-types-2.99.3, mime-types-2.6.1, mini_portile2-2.1.0, minitest-5.10.1, minitest-2.5.1, multi_json-1.12.1, multipart-post-2.0.0, net-scp-1.2.1, net-ssh-2.9.4, netrc-0.10.3, netrc-0.7.9, nokogiri-1.6.8.1, os-0.9.6, parser-2.3.1.4, powerpack-0.1.1, rack-1.6.4, rack-protection-1.5.3, rack-test-0.6.3, rainbow-2.1.0, rake-12.0.0, rake-11.3.0, rake-0.9.2.2, rdoc-3.9.5, representable-2.3.0, rest-client-1.8.0, rest_client-1.8.3, retriable-2.1.0, rspec-3.5.0, rspec-core-3.5.4, rspec-expectations-3.5.0, rspec-mocks-3.5.0, rspec-support-3.5.0, rubocop-0.41.2, ruby-progressbar-1.8.1, signet-0.7.3, simplecov-0.7.1, simplecov-html-0.7.1, sinatra-1.4.7, thin-1.7.0, thor-0.19.1, thread_safe-0.3.6, tilt-2.0.5, tzinfo-1.2.3, uber-0.0.15, unf-0.1.4, unf_ext-0.0.7.1, unicode-display_width-1.1.1, xml-simple-1.1.5] (Gem::LoadError)
        from /opt/rbenv/versions/1.9.3-p547/lib/ruby/1.9.1/rubygems/dependency.rb:256:in `to_spec'
        from /opt/rbenv/versions/1.9.3-p547/lib/ruby/1.9.1/rubygems.rb:1231:in `gem'
        from /var/bamboo/xml-data/build-dir/COOP-DBT-JOB1/coopr-provisioner/lib/provisioner/api.rb:19:in `<top (required)>'
        from /opt/rbenv/versions/1.9.3-p547/lib/ruby/1.9.1/rubygems/custom_require.rb:60:in `require'
        from /opt/rbenv/versions/1.9.3-p547/lib/ruby/1.9.1/rubygems/custom_require.rb:60:in `rescue in require'
        from /opt/rbenv/versions/1.9.3-p547/lib/ruby/1.9.1/rubygems/custom_require.rb:35:in `require'
        from /var/bamboo/xml-data/build-dir/COOP-DBT-JOB1/coopr-provisioner/spec/api_spec.rb:19:in `<top (required)>'
        from /opt/rbenv/versions/1.9.3-p547/lib/ruby/gems/1.9.1/gems/rspec-core-3.5.4/lib/rspec/core/configuration.rb:1435:in `load'
        from /opt/rbenv/versions/1.9.3-p547/lib/ruby/gems/1.9.1/gems/rspec-core-3.5.4/lib/rspec/core/configuration.rb:1435:in `block in load_spec_files'
        from /opt/rbenv/versions/1.9.3-p547/lib/ruby/gems/1.9.1/gems/rspec-core-3.5.4/lib/rspec/core/configuration.rb:1433:in `each'
        from /opt/rbenv/versions/1.9.3-p547/lib/ruby/gems/1.9.1/gems/rspec-core-3.5.4/lib/rspec/core/configuration.rb:1433:in `load_spec_files'
        from /opt/rbenv/versions/1.9.3-p547/lib/ruby/gems/1.9.1/gems/rspec-core-3.5.4/lib/rspec/core/runner.rb:100:in `setup'
        from /opt/rbenv/versions/1.9.3-p547/lib/ruby/gems/1.9.1/gems/rspec-core-3.5.4/lib/rspec/core/runner.rb:86:in `run'
        from /opt/rbenv/versions/1.9.3-p547/lib/ruby/gems/1.9.1/gems/rspec-core-3.5.4/lib/rspec/core/runner.rb:71:in `run'
        from /opt/rbenv/versions/1.9.3-p547/lib/ruby/gems/1.9.1/gems/rspec-core-3.5.4/lib/rspec/core/runner.rb:45:in `invoke'
        from /opt/rbenv/versions/1.9.3-p547/lib/ruby/gems/1.9.1/gems/rspec-core-3.5.4/exe/rspec:4:in `<main>'
/opt/rbenv/versions/1.9.3-p547/bin/ruby -I/opt/rbenv/versions/1.9.3-p547/lib/ruby/gems/1.9.1/gems/rspec-support-3.5.0/lib:/opt/rbenv/versions/1.9.3-p547/lib/ruby/gems/1.9.1/gems/rspec-core-3.5.4/lib /opt/rbenv/versions/1.9.3-p547/lib/ruby/gems/1.9.1/gems/rspec-core-3.5.4/exe/rspec --pattern spec/\*\*/\*_spec.rb failed